# Specify the path to the modified text file
$textFilePath = "INPUT .TXT DIRECTORY!"

# Specify the path for the output .dat file
$datOutputFilePath = "OUTPUT .DAT DIRECTORY!"

# Read the modified data from the text file
$modifiedData = Get-Content -Path $textFilePath -Raw

# Convert the modified data back to bytes
$originalBytes = $modifiedData -split ' ' | ForEach-Object { [byte]::Parse($_, 'Default') }

# Write the reconstructed binary data to a new .dat file
[System.IO.File]::WriteAllBytes($datOutputFilePath, $originalBytes)

Write-Output "Conversion to .dat complete. Output file: $datOutputFilePath"